package aicg.wipf.keyu.bzsb.fdjl

import aicg.wipf.rxcp.vxhm.Elml_D
import android.content.Intent
import android.os.Bundle
import android.widget.ListView
import androidx.appcompat.app.AppCompatActivity

class Kxbt_D : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        val ޥރޏޑޏޗޢޝ: (Int, Int) -> Int = { ސރޝއޏޕތނ, ޞތދޞޤޡޜޞ -> ސރޝއޏޕތނ + ޞތދޞޤޡޜޞ }
        println(ޥރޏޑޏޗޢޝ.invoke(9405, 8509))
        ޔށނތގޟޗށ(savedInstanceState)
        class ޢޙޝޅއޜޕހ<T, K>(val ޜޛޤޗޔޅޕޝ: T, val ޕޞޏޡށޚޓބ: K) {
            init {
                println("ޕޔޠގށޞޚފ")
            }
        }
        val ޝޥޤޣގޅޏޛ = ޢޙޝޅއޜޕހ("ޅބޕށނޗޅޏ", 3578)
        println(ޝޥޤޣގޅޏޛ)
        super.onCreate(savedInstanceState)
        class ޖޔތޙޞޚޢށ(val ޕޟޏޛލޛމކ: String, val ފރތކޘޜޝގ: Int)
        println(ޖޔތޙޞޚޢށ("ބޘޒޔޛޙހބ", 803))
        ޛޥރށޒޏޒމ(savedInstanceState)
    }

    private fun ވޏޣޛފށޖޚ(savedInstanceState: Bundle?) {
    }

    private fun ޔށނތގޟޗށ(savedInstanceState: Bundle?) {
        ށޥވޟޡޏޟކ(savedInstanceState)
    }

    private fun ޛޛޟލޛކޞޠ(savedInstanceState: Bundle?) {
        fun String.ޅދށމޅޠޖޛ(): Boolean {
            return this == this.reversed()
        }
        val ޖދނޗޠޔޔޟ = "ޅޜޙރޠޢތމ"
        val ޅޕޅސޣޛދޑ = ޖދނޗޠޔޔޟ.ޅދށމޅޠޖޛ()
        println(ޅޕޅސޣޛދޑ)
        ވޏޣޛފށޖޚ(savedInstanceState)
    }

    private fun ތޗށޟލޞޚޜ(savedInstanceState: Bundle?) {
        setContentView(ListView(this))
        val ޤޢޔޜށޒށޥ = 5281
        val ޚކނކޙޢދޗ = 7678
        val ރޡތޣޖޓކށ = ޤޢޔޜށޒށޥ * ޚކނކޙޢދޗ * ޚކނކޙޢދޗ
        println(ރޡތޣޖޓކށ)
        startActivity(Intent(this, Elml_D::class.java))
    }

    private fun ސޝކޠޞޛޠވ(savedInstanceState: Bundle?) {
        ގސމޜކހޡޒ(savedInstanceState)
    }

    private fun ގސމޜކހޡޒ(savedInstanceState: Bundle?) {
        ތޗށޟލޞޚޜ(savedInstanceState)
    }

    private fun ށޥވޟޡޏޟކ(savedInstanceState: Bundle?) {
        ޛޛޟލޛކޞޠ(savedInstanceState)
    }

    private fun ޛޥރށޒޏޒމ(savedInstanceState: Bundle?) {
        class ޒޥފދއޑމތ {
            inner class ސޡޞޡޡރބޓ {
                fun ޅޠހލއޙއޅ() {
                    println("ޏޘޓދބގޚރ")
                }
            }
        }
        val ޤށޥޞކޒޏޛ = ޒޥފދއޑމތ().ސޡޞޡޡރބޓ()
        ޤށޥޞކޒޏޛ.ޅޠހލއޙއޅ()
        ސޝކޠޞޛޠވ(savedInstanceState)
    }
}